org.jfree.ui

## Interface Drawable

All Known Subinterfaces:
  ExtendedDrawable

    public interface Drawable

An interface for an object that can draw itself within an area on a Graphics2D.

Author:
  David Gilbert

### Method Summary

Methods
`void` `draw(java.awt.Graphics2D g2, java.awt.geom.Rectangle2D area)` Draws the object.

### Method Detail

#### draw

    void draw(java.awt.Graphics2D g2,
            java.awt.geom.Rectangle2D area)

Draws the object.

Parameters:
  `g2` - the graphics device.
  `area` - the area inside which the object should be drawn.